Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.impl.jsr168
Class DispatchedHttpServletRequest

    java.lang.Object
      javax.servlet.ServletRequestWrapper
          javax.servlet.http.HttpServletRequestWrapper
              org.jboss.portal.portlet.impl.jsr168.DispatchedHttpServletRequest

All Implemented Interfaces:
  javax.servlet.http.HttpServletRequest, javax.servlet.ServletRequest

Direct Known Subclasses:
  DispatchedHttpServletRequest.ClientData, DispatchedHttpServletRequest.Mime

    public abstract class DispatchedHttpServletRequest

extends javax.servlet.http.HttpServletRequestWrapper

Version:
  $Revision: 6903 $
Author:
  Julien Viet

Nested Class Summary
`static class` | `DispatchedHttpServletRequest.Action`
`static class` | `DispatchedHttpServletRequest.ClientData`
`static class` | `DispatchedHttpServletRequest.Event`
`static class` | `DispatchedHttpServletRequest.Mime`
`static class` | `DispatchedHttpServletRequest.Render`
`static class` | `DispatchedHttpServletRequest.Resource`

Field Summary

Fields inherited from interface javax.servlet.http.HttpServletRequest
`BASIC_AUTH, CLIENT_CERT_AUTH, DIGEST_AUTH, FORM_AUTH`

Constructor Summary
`DispatchedHttpServletRequest(Dispatch dispatch, PortletRequest preq, javax.servlet.http.HttpServletRequestWrapper dreq, javax.servlet.ServletContext servletContext)`

Method Summary
`java.lang.Object` | `getAttribute(java.lang.String s)`
`java.util.Enumeration` | `getAttributeNames()`
`java.lang.String` | `getAuthType()`
`abstract java.lang.String` | `getCharacterEncoding()`
`abstract int` | `getContentLength()`
`abstract java.lang.String` | `getContentType()`
`java.lang.String` | `getContextPath()`
`javax.servlet.http.Cookie[]` | `getCookies()`
`long` | `getDateHeader(java.lang.String s)`
`java.lang.String` | `getHeader(java.lang.String s)`
`java.util.Enumeration` | `getHeaderNames()`
`java.util.Enumeration` | `getHeaders(java.lang.String s)`
`abstract javax.servlet.ServletInputStream` | `getInputStream()`
`int` | `getIntHeader(java.lang.String s)`
`java.lang.String` | `getLocalAddr()`
`java.util.Locale` | `getLocale()`
`java.util.Enumeration` | `getLocales()`
`java.lang.String` | `getLocalName()`
`int` | `getLocalPort()`
`abstract java.lang.String` | `getMethod()`
`java.lang.String` | `getParameter(java.lang.String name)`
`java.util.Map` | `getParameterMap()`
`java.util.Enumeration` | `getParameterNames()`
`java.lang.String[]` | `getParameterValues(java.lang.String name)`
`java.lang.String` | `getPathInfo()`
`java.lang.String` | `getPathTranslated()`
`java.lang.String` | `getProtocol()`
`java.lang.String` | `getQueryString()`
`abstract java.io.BufferedReader` | `getReader()`
`java.lang.String` | `getRealPath(java.lang.String s)`
`java.lang.String` | `getRemoteAddr()`
`java.lang.String` | `getRemoteHost()`
`int` | `getRemotePort()`
`java.lang.String` | `getRemoteUser()`
`javax.servlet.ServletRequest` | `getRequest()`
`javax.servlet.RequestDispatcher` | `getRequestDispatcher(java.lang.String s)`
`java.lang.String` | `getRequestedSessionId()`
`java.lang.String` | `getRequestURI()`
`java.lang.StringBuffer` | `getRequestURL()`
`java.lang.String` | `getScheme()`
`java.lang.String` | `getServerName()`
`int` | `getServerPort()`
`java.lang.String` | `getServletPath()`
`javax.servlet.http.HttpSession` | `getSession()`
`javax.servlet.http.HttpSession` | `getSession(boolean b)`
`java.security.Principal` | `getUserPrincipal()`
`boolean` | `isRequestedSessionIdFromCookie()`
`boolean` | `isRequestedSessionIdFromUrl()`
`boolean` | `isRequestedSessionIdFromURL()`
`boolean` | `isRequestedSessionIdValid()`
`boolean` | `isSecure()`
`boolean` | `isUserInRole(java.lang.String s)`
`void` | `removeAttribute(java.lang.String s)`
`void` | `setAttribute(java.lang.String s, java.lang.Object o)`
`abstract void` | `setCharacterEncoding(java.lang.String s)`
`void` | `setRequest(javax.servlet.ServletRequest servletRequest)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DispatchedHttpServletRequest

    public DispatchedHttpServletRequest(Dispatch dispatch,
                                        PortletRequest preq,
                                        javax.servlet.http.HttpServletRequestWrapper dreq,
                                        javax.servlet.ServletContext servletContext)

Method Detail

### getRemoteAddr

    public final java.lang.String getRemoteAddr()

  Specified by:
    `getRemoteAddr` in interface `javax.servlet.ServletRequest`
  Overrides:
    `getRemoteAddr` in class `javax.servlet.ServletRequestWrapper`

### getRemoteHost

    public final java.lang.String getRemoteHost()

  Specified by:
    `getRemoteHost` in interface `javax.servlet.ServletRequest`
  Overrides:
    `getRemoteHost` in class `javax.servlet.ServletRequestWrapper`

### getRealPath

    public final java.lang.String getRealPath(java.lang.String s)

  Specified by:
    `getRealPath` in interface `javax.servlet.ServletRequest`
  Overrides:
    `getRealPath` in class `javax.servlet.ServletRequestWrapper`

### getLocalAddr

    public final java.lang.String getLocalAddr()

  Specified by:
    `getLocalAddr` in interface `javax.servlet.ServletRequest`
  Overrides:
    `getLocalAddr` in class `javax.servlet.ServletRequestWrapper`

### getLocalName

    public final java.lang.String getLocalName()

  Specified by:
    `getLocalName` in interface `javax.servlet.ServletRequest`
  Overrides:
    `getLocalName` in class `javax.servlet.ServletRequestWrapper`

### getRequestURL

    public final java.lang.StringBuffer getRequestURL()

  Specified by:
    `getRequestURL` in interface `javax.servlet.http.HttpServletRequest`
  Overrides:
    `getRequestURL` in class `javax.servlet.http.HttpServletRequestWrapper`

### getRemotePort

    public final int getRemotePort()

  Specified by:
    `getRemotePort` in interface `javax.servlet.ServletRequest`
  Overrides:
    `getRemotePort` in class `javax.servlet.ServletRequestWrapper`

### getLocalPort

    public final int getLocalPort()

  Specified by:
    `getLocalPort` in interface `javax.servlet.ServletRequest`
  Overrides:
    `getLocalPort` in class `javax.servlet.ServletRequestWrapper`

### getPathTranslated

    public final java.lang.String getPathTranslated()

  Specified by:
    `getPathTranslated` in interface `javax.servlet.http.HttpServletRequest`
  Overrides:
    `getPathTranslated` in class `javax.servlet.http.HttpServletRequestWrapper`

### getPathInfo

    public final java.lang.String getPathInfo()

  Specified by:
    `getPathInfo` in interface `javax.servlet.http.HttpServletRequest`
  Overrides:
    `getPathInfo` in class `javax.servlet.http.HttpServletRequestWrapper`

### getQueryString

    public final java.lang.String getQueryString()

  Specified by:
    `getQueryString` in interface `javax.servlet.http.HttpServletRequest`
  Overrides:
    `getQueryString` in class `javax.servlet.http.HttpServletRequestWrapper`

### getRequestURI

    public final java.lang.String getRequestURI()

  Specified by:
    `getRequestURI` in interface `javax.servlet.http.HttpServletRequest`
  Overrides:
    `getRequestURI` in class `javax.servlet.http.HttpServletRequestWrapper`

### getServletPath

    public final java.lang.String getServletPath()

  Specified by:
    `getServletPath` in interface `javax.servlet.http.HttpServletRequest`
  Overrides:
    `getServletPath` in class `javax.servlet.http.HttpServletRequestWrapper`

### getScheme

    public final java.lang.String getScheme()

  Specified by:
    `getScheme` in interface `javax.servlet.ServletRequest`
  Overrides:
    `getScheme` in class `javax.servlet.ServletRequestWrapper`

### getServerName

    public final java.lang.String getServerName()

  Specified by:
    `getServerName` in interface `javax.servlet.ServletRequest`
  Overrides:
    `getServerName` in class `javax.servlet.ServletRequestWrapper`

### getServerPort

    public final int getServerPort()

  Specified by:
    `getServerPort` in interface `javax.servlet.ServletRequest`
  Overrides:
    `getServerPort` in class `javax.servlet.ServletRequestWrapper`

### getAttribute

    public final java.lang.Object getAttribute(java.lang.String s)

  Specified by:
    `getAttribute` in interface `javax.servlet.ServletRequest`
  Overrides:
    `getAttribute` in class `javax.servlet.ServletRequestWrapper`

### getAttributeNames

    public final java.util.Enumeration getAttributeNames()

  Specified by:
    `getAttributeNames` in interface `javax.servlet.ServletRequest`
  Overrides:
    `getAttributeNames` in class `javax.servlet.ServletRequestWrapper`

### setAttribute

    public final void setAttribute(java.lang.String s,
                                   java.lang.Object o)

  Specified by:
    `setAttribute` in interface `javax.servlet.ServletRequest`
  Overrides:
    `setAttribute` in class `javax.servlet.ServletRequestWrapper`

### removeAttribute

    public final void removeAttribute(java.lang.String s)

  Specified by:
    `removeAttribute` in interface `javax.servlet.ServletRequest`
  Overrides:
    `removeAttribute` in class `javax.servlet.ServletRequestWrapper`

### getLocale

    public final java.util.Locale getLocale()

  Specified by:
    `getLocale` in interface `javax.servlet.ServletRequest`
  Overrides:
    `getLocale` in class `javax.servlet.ServletRequestWrapper`

### getLocales

    public final java.util.Enumeration getLocales()

  Specified by:
    `getLocales` in interface `javax.servlet.ServletRequest`
  Overrides:
    `getLocales` in class `javax.servlet.ServletRequestWrapper`

### isSecure

    public boolean isSecure()

  Specified by:
    `isSecure` in interface `javax.servlet.ServletRequest`
  Overrides:
    `isSecure` in class `javax.servlet.ServletRequestWrapper`

### getAuthType

    public final java.lang.String getAuthType()

  Specified by:
    `getAuthType` in interface `javax.servlet.http.HttpServletRequest`
  Overrides:
    `getAuthType` in class `javax.servlet.http.HttpServletRequestWrapper`

### getContextPath

    public final java.lang.String getContextPath()

  Specified by:
    `getContextPath` in interface `javax.servlet.http.HttpServletRequest`
  Overrides:
    `getContextPath` in class `javax.servlet.http.HttpServletRequestWrapper`

### getRemoteUser

    public final java.lang.String getRemoteUser()

  Specified by:
    `getRemoteUser` in interface `javax.servlet.http.HttpServletRequest`
  Overrides:
    `getRemoteUser` in class `javax.servlet.http.HttpServletRequestWrapper`

### getUserPrincipal

    public final java.security.Principal getUserPrincipal()

  Specified by:
    `getUserPrincipal` in interface `javax.servlet.http.HttpServletRequest`
  Overrides:
    `getUserPrincipal` in class `javax.servlet.http.HttpServletRequestWrapper`

### getRequestedSessionId

    public final java.lang.String getRequestedSessionId()

  Specified by:
    `getRequestedSessionId` in interface `javax.servlet.http.HttpServletRequest`
  Overrides:
    `getRequestedSessionId` in class `javax.servlet.http.HttpServletRequestWrapper`

### isRequestedSessionIdValid

    public final boolean isRequestedSessionIdValid()

  Specified by:
    `isRequestedSessionIdValid` in interface `javax.servlet.http.HttpServletRequest`
  Overrides:
    `isRequestedSessionIdValid` in class `javax.servlet.http.HttpServletRequestWrapper`

### getCookies

    public final javax.servlet.http.Cookie[] getCookies()

  Specified by:
    `getCookies` in interface `javax.servlet.http.HttpServletRequest`
  Overrides:
    `getCookies` in class `javax.servlet.http.HttpServletRequestWrapper`

### getParameter

    public final java.lang.String getParameter(java.lang.String name)

  Specified by:
    `getParameter` in interface `javax.servlet.ServletRequest`
  Overrides:
    `getParameter` in class `javax.servlet.ServletRequestWrapper`

### getParameterNames

    public final java.util.Enumeration getParameterNames()

  Specified by:
    `getParameterNames` in interface `javax.servlet.ServletRequest`
  Overrides:
    `getParameterNames` in class `javax.servlet.ServletRequestWrapper`

### getParameterValues

    public final java.lang.String[] getParameterValues(java.lang.String name)

  Specified by:
    `getParameterValues` in interface `javax.servlet.ServletRequest`
  Overrides:
    `getParameterValues` in class `javax.servlet.ServletRequestWrapper`

### getParameterMap

    public final java.util.Map getParameterMap()

  Specified by:
    `getParameterMap` in interface `javax.servlet.ServletRequest`
  Overrides:
    `getParameterMap` in class `javax.servlet.ServletRequestWrapper`

### getCharacterEncoding

    public abstract java.lang.String getCharacterEncoding()

  Specified by:
    `getCharacterEncoding` in interface `javax.servlet.ServletRequest`
  Overrides:
    `getCharacterEncoding` in class `javax.servlet.ServletRequestWrapper`

### setCharacterEncoding

    public abstract void setCharacterEncoding(java.lang.String s)
                                       throws java.io.UnsupportedEncodingException

  Specified by:
    `setCharacterEncoding` in interface `javax.servlet.ServletRequest`
  Overrides:
    `setCharacterEncoding` in class `javax.servlet.ServletRequestWrapper`
  Throws:
    `java.io.UnsupportedEncodingException`

### getContentType

    public abstract java.lang.String getContentType()

  Specified by:
    `getContentType` in interface `javax.servlet.ServletRequest`
  Overrides:
    `getContentType` in class `javax.servlet.ServletRequestWrapper`

### getInputStream

    public abstract javax.servlet.ServletInputStream getInputStream()
                                                             throws java.io.IOException

  Specified by:
    `getInputStream` in interface `javax.servlet.ServletRequest`
  Overrides:
    `getInputStream` in class `javax.servlet.ServletRequestWrapper`
  Throws:
    `java.io.IOException`

### getReader

    public abstract java.io.BufferedReader getReader()
                                              throws java.io.IOException

  Specified by:
    `getReader` in interface `javax.servlet.ServletRequest`
  Overrides:
    `getReader` in class `javax.servlet.ServletRequestWrapper`
  Throws:
    `java.io.IOException`

### getContentLength

    public abstract int getContentLength()

  Specified by:
    `getContentLength` in interface `javax.servlet.ServletRequest`
  Overrides:
    `getContentLength` in class `javax.servlet.ServletRequestWrapper`

### getMethod

    public abstract java.lang.String getMethod()

  Specified by:
    `getMethod` in interface `javax.servlet.http.HttpServletRequest`
  Overrides:
    `getMethod` in class `javax.servlet.http.HttpServletRequestWrapper`

### getHeader

    public final java.lang.String getHeader(java.lang.String s)

  Specified by:
    `getHeader` in interface `javax.servlet.http.HttpServletRequest`
  Overrides:
    `getHeader` in class `javax.servlet.http.HttpServletRequestWrapper`

### getHeaders

    public final java.util.Enumeration getHeaders(java.lang.String s)

  Specified by:
    `getHeaders` in interface `javax.servlet.http.HttpServletRequest`
  Overrides:
    `getHeaders` in class `javax.servlet.http.HttpServletRequestWrapper`

### getHeaderNames

    public final java.util.Enumeration getHeaderNames()

  Specified by:
    `getHeaderNames` in interface `javax.servlet.http.HttpServletRequest`
  Overrides:
    `getHeaderNames` in class `javax.servlet.http.HttpServletRequestWrapper`

### getDateHeader

    public final long getDateHeader(java.lang.String s)

  Specified by:
    `getDateHeader` in interface `javax.servlet.http.HttpServletRequest`
  Overrides:
    `getDateHeader` in class `javax.servlet.http.HttpServletRequestWrapper`

### getIntHeader

    public final int getIntHeader(java.lang.String s)

  Specified by:
    `getIntHeader` in interface `javax.servlet.http.HttpServletRequest`
  Overrides:
    `getIntHeader` in class `javax.servlet.http.HttpServletRequestWrapper`

### getRequestDispatcher

    public final javax.servlet.RequestDispatcher getRequestDispatcher(java.lang.String s)

  Specified by:
    `getRequestDispatcher` in interface `javax.servlet.ServletRequest`
  Overrides:
    `getRequestDispatcher` in class `javax.servlet.ServletRequestWrapper`

### isUserInRole

    public final boolean isUserInRole(java.lang.String s)

  Specified by:
    `isUserInRole` in interface `javax.servlet.http.HttpServletRequest`
  Overrides:
    `isUserInRole` in class `javax.servlet.http.HttpServletRequestWrapper`

### getSession

    public final javax.servlet.http.HttpSession getSession(boolean b)

  Specified by:
    `getSession` in interface `javax.servlet.http.HttpServletRequest`
  Overrides:
    `getSession` in class `javax.servlet.http.HttpServletRequestWrapper`

### getSession

    public final javax.servlet.http.HttpSession getSession()

  Specified by:
    `getSession` in interface `javax.servlet.http.HttpServletRequest`
  Overrides:
    `getSession` in class `javax.servlet.http.HttpServletRequestWrapper`

### isRequestedSessionIdFromCookie

    public final boolean isRequestedSessionIdFromCookie()

  Specified by:
    `isRequestedSessionIdFromCookie` in interface `javax.servlet.http.HttpServletRequest`
  Overrides:
    `isRequestedSessionIdFromCookie` in class `javax.servlet.http.HttpServletRequestWrapper`

### isRequestedSessionIdFromURL

    public final boolean isRequestedSessionIdFromURL()

  Specified by:
    `isRequestedSessionIdFromURL` in interface `javax.servlet.http.HttpServletRequest`
  Overrides:
    `isRequestedSessionIdFromURL` in class `javax.servlet.http.HttpServletRequestWrapper`

### isRequestedSessionIdFromUrl

    public final boolean isRequestedSessionIdFromUrl()

  Specified by:
    `isRequestedSessionIdFromUrl` in interface `javax.servlet.http.HttpServletRequest`
  Overrides:
    `isRequestedSessionIdFromUrl` in class `javax.servlet.http.HttpServletRequestWrapper`

### getProtocol

    public final java.lang.String getProtocol()

  Specified by:
    `getProtocol` in interface `javax.servlet.ServletRequest`
  Overrides:
    `getProtocol` in class `javax.servlet.ServletRequestWrapper`

### setRequest

    public final void setRequest(javax.servlet.ServletRequest servletRequest)

  Overrides:
    `setRequest` in class `javax.servlet.ServletRequestWrapper`

### getRequest

    public javax.servlet.ServletRequest getRequest()

  Overrides:
    `getRequest` in class `javax.servlet.ServletRequestWrapper`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.